from fpdf import FPDF

# Create instance of FPDF class
pdf = FPDF()
pdf.add_page()

# Set font and colors
pdf.set_font("Arial", 'B', 16)
pdf.set_text_color(0, 102, 204)  # Blue for headings
pdf.cell(0, 10, "PayTR Bilgilerini Doğru Tanımlama", ln=True, align='C')

# Add a line break
pdf.ln(10)

# Subtitle
pdf.set_font("Arial", 'B', 14)
pdf.set_text_color(0, 0, 0)
pdf.cell(0, 10, "Adım Adım PayTR Entegrasyonu", ln=True)

pdf.ln(8)

# Instructional text
pdf.set_font("Arial", '', 12)
pdf.set_text_color(50, 50, 50)
text1 = "1. PayTR bilgilerinizi almak için paytr.com/magaza/bilgi adresine gidin."
text2 = "2. APP\\HTTP\\Controller klasöründe bulunan PaytrController.php dosyasını açın."
text3 = "3. Dosyada bulunan bilgileri aşağıdaki örnekte gösterildiği gibi doldurun:"
pdf.multi_cell(0, 8, text1)
pdf.ln(4)
pdf.multi_cell(0, 8, text2)
pdf.ln(4)
pdf.multi_cell(0, 8, text3)

# Add example code
pdf.ln(8)
pdf.set_font("Courier", '', 11)
pdf.set_text_color(34, 139, 34)  # Green for code
code = """
$merchant_id   = 'XXXXXX';
$merchant_key  = 'YYYYYYYYYYYYYY';
$merchant_salt = 'ZZZZZZZZZZZZZZ';
"""
pdf.multi_cell(0, 8, code)

# Save PDF
output_file = "paytr_instructions.pdf"
pdf.output(output_file)

output_file
